function mut=MatrixMutvect(xG,yG,nv1,nv2,if1,if2,is1,is2,ibT,v2)
%--------------------------------------------------------------------------
% Construction de la matrice de passage 
% Version "vectorisée" (i,j,val). 
% La version "matricielle" figure en commentaire.
%--------------------------------------------------------------------------

nf1=length(if1);
nf2=length(if2);

% Version matricielle : initialisation de la matrice mut
% mut=sparse(2*nv2+nv1,2*nv2+nv1+3);

Muti=zeros(2*nf2+nf1+4*length(is2),1);
Mutj=zeros(2*nf2+nf1+4*length(is2),1);
Mutval=zeros(2*nf2+nf1+4*length(is2),1);

indice_ligne=1;

% Version matricielle : Partie U-U, V-V et P-P fluide
% for it=1:nf2
%     
%     mut(if2(it),if2(it))=1;
%     mut(nv2+if2(it),nv2+if2(it))=1;
% end

Muti(indice_ligne:indice_ligne+nf2-1)=if2;
Mutj(indice_ligne:indice_ligne+nf2-1)=if2;
Mutval(indice_ligne:indice_ligne+nf2-1)=1;
indice_ligne=indice_ligne+nf2;
Muti(indice_ligne:indice_ligne+nf2-1)=if2+nv2;
Mutj(indice_ligne:indice_ligne+nf2-1)=if2+nv2;
Mutval(indice_ligne:indice_ligne+nf2-1)=1;
indice_ligne=indice_ligne+nf2;

% Version matricielle 
% for it=1:nf1
%     mut(if1(it)+2*nv2,if1(it)+2*nv2)=1;
% end

Muti(indice_ligne:indice_ligne+nf1-1)=if1+2*nv2;
Mutj(indice_ligne:indice_ligne+nf1-1)=if1+2*nv2;
Mutval(indice_ligne:indice_ligne+nf1-1)=1;
indice_ligne=indice_ligne+nf1;

% Version matricielle  : Vitesse du solide
%
% for it=1:length(is2)
%     % horizontale
%     mut(is2(it),2*nv2+nv1+1)=1;
%     % verticale
%     mut(nv2+is2(it),2*nv2+nv1+2)=1;
%     % angulaire
%     mut(is2(it),2*nv2+nv1+3)=-(v2(is2(it),2)-yG);
%     mut(nv2+is2(it),2*nv2+nv1+3)=(v2(is2(it),1)-xG);
% end

% horizontale
Muti(indice_ligne:indice_ligne+length(is2)-1)=is2;
Mutj(indice_ligne:indice_ligne+length(is2)-1)=2*nv2+nv1+1;
Mutval(indice_ligne:indice_ligne+length(is2)-1)=1;
indice_ligne=indice_ligne+length(is2);
% verticale
Muti(indice_ligne:indice_ligne+length(is2)-1)=is2+nv2;
Mutj(indice_ligne:indice_ligne+length(is2)-1)=2*nv2+nv1+2;
Mutval(indice_ligne:indice_ligne+length(is2)-1)=1;
indice_ligne=indice_ligne+length(is2);
% angulaire
Muti(indice_ligne:indice_ligne+length(is2)-1)=is2;
Mutj(indice_ligne:indice_ligne+length(is2)-1)=2*nv2+nv1+3;
Mutval(indice_ligne:indice_ligne+length(is2)-1)=-(v2(is2,2)-yG);
indice_ligne=indice_ligne+length(is2);

Muti(indice_ligne:indice_ligne+length(is2)-1)=is2+nv2;
Mutj(indice_ligne:indice_ligne+length(is2)-1)=2*nv2+nv1+3;
Mutval(indice_ligne:indice_ligne+length(is2)-1)=v2(is2,1)-xG;
indice_ligne=indice_ligne+length(is2);

% Construction de la matrice mut à partir (Muti,Mutl,Mutval)

mut=sparse(Muti,Mutj,Mutval,2*nv2+nv1,2*nv2+nv1+3);
mut(ibT,:)=[];
mut(:,[ibT;is2;is2+nv2;is1+2*nv2])=[];

end
