function [is2,is1,ks1]=find_nodes_rigid(t1,t2,is1,isupp1,tsupp1)

% ENTREE : 
% is1    : indice des noeuds du maillage (v1,t1) qui sont dans le rigide.
% SORTIE :
% is1    : indice des noeuds du maillage (v1,t1) qui appartiennent aux
%          triangles intersectant le rigide.
% is2    : indice des noeuds du maillage (v2,t2) qui appartiennent aux
%          triangles intersectant le rigide.
% ks1    : indices des triangles t1 intersectant le rigide et ayant leurs 
%          3 sommets dans is2

nt1=size(t1,1);
is2=[]; ks1=[];
for i=1:length(is1)
    nds=is1(i);
    for k=isupp1(nds)+1:isupp1(nds+1)
      tri1=tsupp1(k);
      ks1=[ks1; tri1];
      nd1=t1(tri1,1:3)';
      nd2=[t2(tri1,2:3) t2(tri1+nt1,2:3) t2(tri1+2*nt1,2:3)]';
      is2=[is2; nd1; nd2];
    end
end

is2=unique(is2);
ks1=unique(ks1);
is1=unique(t1(ks1,1:3));

% Recherche des noeuds des triangles t2 qui ont leur 3 sommets dans is2. 
% Mise à jour de is2.

is3=[];
for i=1:length(is1)
    nds=is1(i);
    for k=isupp1(nds)+1:isupp1(nds+1)
        tri1=tsupp1(k);
        nd1=t1(tri1,1:3)';
        if ismember(nd1,is1),
          ks1=[ks1; tri1];
          nd3=[t2(tri1,2:3) t2(tri1+nt1,2:3) t2(tri1+2*nt1,2:3)]';
          is3=[is3; nd3];
       end
    end
end

is2=unique([is2; is3]);
ks1=unique(ks1);

end
