function plotsolRIG(Ux,Uy,P,t1,t2,v1,v2,vcr,tps,it,type_print)
  
  colormap('jet');
  set(gcf,'Color',[1 1 1]);  % Figure's background color = white

  nv1=size(v1,1);
  nv2=size(v2,1);

  if type_print==1 
      
      %------------------------
      % Affichage de la vitesse
      %------------------------

      % Module de la vitesse
      mod_U=sqrt(Ux.^2+Uy.^2);
      patch('faces',t2(:,1:3),'vertices',v2(:,1:2),'FaceVertexCData',...
            mod_U,'facecolor','interp','edgecolor','none');
            
      % Affichage du champ de vitesse
      hold on
      quiver(v1(:,1),v1(:,2),Ux(1:nv1),Uy(1:nv1));
      message=sprintf('vitesse à t=%6.3f (k=%d)',tps,it);
      hold off
      
  else
      %-------------------------
      % Affichage de la pression
      %-------------------------

      patch('faces',t1(:,1:3),'vertices',v1(:,1:2),'FaceVertexCData',...
            P,'facecolor','interp','edgecolor','none');
      message=sprintf('pression à t=%6.3f (k=%d)',tps,it);
  end
    
  % Affichage du contour du rigide
  hold on
  plot(vcr(:,1),vcr(:,2),'black','LineWidth',2); 
  
  % Affichage du maillage
  patch('faces',t1(:,1:3),'vertices',v1(:,1:2),'facecolor','none',...
      'edgecolor','black');
  hold off
  
  axis image
  colorbar('northoutside');
  title(message);
  drawnow

end
